### Method

# Ide EnvironmentEditor set_environment

#### Declaration

    void
    ide_environment_editor_set_environment (
      IdeEnvironmentEditor* self,
      IdeEnvironment* environment
    )

#### Description

No description available.

Sets property | `Ide.EnvironmentEditor:environment`

#### Parameters

`environment` | `IdeEnvironment`
| No description available.
| The data is owned by the caller of the function.